image: ubuntu:latest

stages:
  - setup
  - triggers
  - run
  - build
  - test


# before_script:
#   - apt-get --quiet update --yes
#   - DEBIAN_FRONTEND=noninteractive apt-get install -y --no-install-recommends tzdata
#   - apt-get --quiet install --yes git golang ruby

setup:
  stage: setup
  script: 
    # - ruby setup.rb
    - echo "Setup"
  artifacts:
      paths:
        - orchestrator-ci.yml

trigger-orchestrator:
  stage: triggers 
  trigger:
    include:
      - artifact: orchestrator-ci.yml
        job: setup
  